This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 426102

Summary: console removal and update options
Product: [Fedora] Fedora Reporter: Jakub 'Livio' Rusinek <liviopl.pl>
Component: pirutAssignee: Jeremy Katz <katzj>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 8CC: james.antill
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-12-27 11:04:38 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235706    

Description Jakub 'Livio' Rusinek 2007-12-18 11:06:58 EST
Description of problem:
pirut should provide --remove/-r and --update/-u options to make managing apps 
from context menus (in eg. gnome-main-menu) easier.

Actual results:
pirut before parsing options asks for password. doesn't support --remove (-r) 
and --update (-u).

Expected results:
password not required when eg. --help entered.

Additional info:
gnome-main-menu, which I'm gonna to put in repo (I've it packaged already 
locallt) needs --update and --remove to make user's life easier.
Comment 1 Jeremy Katz 2007-12-18 21:49:20 EST
Will try to look into hooking something up for this later this week or next
Comment 2 Jeremy Katz 2007-12-27 11:04:38 EST
Added --update and --remove options to system-install-packages in pirut-1.3.29

The --help asking for the password is due to how consolehelper works and can't
really be avoided